      double precision function amcb_small(pos)
      implicit double precision (A-H,O-Z)
c this program simulates total energy of a Cu bulk
c using the embeding atom potential
      parameter (n=108)
      parameter (rad=5.5d0,nat=4320)
      dimension x(n),y(n),z(n),xn(n),yn(n),zn(n)
      dimension pos(nat,3),upos(500)
      dimension list(n,100)
      dimension xp(3),yp(3),zp(3),np(8),p(160,3)
      dimension pax(3000),edx(3000),emx(3000),pay(3000)
      dimension emy(3000),edy(3000)
      dimension pa2(3000),em2(3000),ed2(3000)

c
c program for calculation of EAM energy
      call daread(pax,pay,pa2,edx,edy,ed2,emx,emy,em2)
      call neigh(n,nat,pos,list,rad)
      fe1=fe(n,pos,pax,pay,pa2,edx,edy,ed2,emx,emy,em2,list)
      amcb_small=fe1
      return
      end